org.apache.lucene.codecs

## Class MutablePointValues

- java.lang.Object
- - org.apache.lucene.index.PointValues
  - - org.apache.lucene.codecs.MutablePointValues

-     public abstract class MutablePointValues
      extends PointValues

  `PointValues` whose order of points can be changed. This class is useful for codecs to optimize flush.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.PointValues

      `PointValues.IntersectVisitor, PointValues.Relation`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.PointValues

      `MAX_DIMENSIONS, MAX_INDEX_DIMENSIONS, MAX_NUM_BYTES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MutablePointValues()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract byte` | `getByteAt(int i, int k)` Get the k-th byte of the i-th value.
    `abstract int` | `getDocID(int i)` Return the doc ID of the i-th value.
    `abstract void` | `getValue(int i, BytesRef packedValue)` Set `packedValue` with a reference to the packed bytes of the i-th value.
    `abstract void` | `restore(int i, int j)` Restore values between i-th and j-th(excluding) in temporary storage into original storage.
    `abstract void` | `save(int i, int j)` Save the i-th value into the j-th position in temporary storage.
    `abstract void` | `swap(int i, int j)` Swap the i-th and j-th values.

    - ### Methods inherited from class org.apache.lucene.index.PointValues

      `estimateDocCount, estimatePointCount, getBytesPerDimension, getDocCount, getDocCount, getMaxPackedValue, getMaxPackedValue, getMinPackedValue, getMinPackedValue, getNumDimensions, getNumIndexDimensions, intersect, size, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutablePointValues

          protected MutablePointValues()

      Sole constructor.

  - ### Method Detail

    - #### getValue

          public abstract void getValue(int i,
                                        BytesRef packedValue)

      Set `packedValue` with a reference to the packed bytes of the i-th value.

    - #### getByteAt

          public abstract byte getByteAt(int i,
                                         int k)

      Get the k-th byte of the i-th value.

    - #### getDocID

          public abstract int getDocID(int i)

      Return the doc ID of the i-th value.

    - #### swap

          public abstract void swap(int i,
                                    int j)

      Swap the i-th and j-th values.

    - #### save

          public abstract void save(int i,
                                    int j)

      Save the i-th value into the j-th position in temporary storage.

    - #### restore

          public abstract void restore(int i,
                                       int j)

      Restore values between i-th and j-th(excluding) in temporary storage into original storage.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.